{% extends "../../layout.jinja2" %}

{% block content %}
<div class="card">
    <div class="card-header">
        Header
    </div>
    <div class="card-body">
        <dl>
            <dt>ID</dt>
            <dd>{{ header.id }}</dd>

            <dt>Updated</dt>
            <dd>{{ header.date_updated|datetime }}</dd>

            <dt>Program ID</dt>
            <dd>{{ header.program_id }}</dd>

            <dt>Is observation</dt>
            <dd>{{ header.is_observation }}</dd>

            <dt>DP_CAT</dt>
            <dd>{{ header.dp_cat }}</dd>

            <dt>DP_TYPE</dt>
            <dd>{{ header.dp_type }}</dd>

            {% if header.exposures %}
                <dt>Exposures</dt>
                <dd>
                    <ul>
                        {% for exposure in header.exposures %}
                            <li><a href="{{ request.route_path('detail', type='exposure', id=exposure.id) }}">{{ exposure.id }}</a></li>
                        {% endfor %}
                    </ul>
                </dd>
            {% endif %}

            <dt>Header File</dt>
            <dd>
                <a href="{{ request.route_path('detail_raw', type='header', id=header.id) }}" class="btn btn-primary" role="button" target="_blank">View on ObsPortal</a>
                {% if header.interferometer_id in ('VLTI', 'ESO')%}
                    <a href="http://archive.eso.org/hdr?DpId={{ header.id }}" class="btn btn-secondary" role="button" target="_blank">View on ESO</a>
                {% endif %}
            </dd>
        </dl>
    </div>
</div>

<div class="card">
    <div class="card-header">
        Instrument
    </div>
    <div class="card-body">
        <dl>
            <dt>Interferometer</dt>
            <dd><a href="{{ request.route_path('detail', type='interferometer', id=header.interferometer_id) }}">{{ header.interferometer_id }}</a></dd>

            <dt>Instrument</dt>
            <dd><a href="{{ request.route_path('detail', type='instrument', id=header.instrument_id) }}">{{ header.instrument_id }}</a></dd>
        </dl>
    </div>
</div>

<div class="card">
    <div class="card-header">
        Observing times
    </div>
    <div class="card-body">
        <dl>
            <dt>Timestamp</dt>
            <dd>{{ header.obs_time }}</dd>
            <dt>MJD Start</dt>
            <dd>{{ header.mjd_start }}</dd>
        </dl>
    </div>
</div>

{% if header.validation_log %}
<div class="card">
    <div class="card-header">
        Validation messages
    </div>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th>Message</th>
                </tr>
            </thead>
            <tbody>
            {% for message in header.validation_log %}
                <tr>
                    <td>{{ message }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}

{% if header.extracted_content %}
<div class="card">
    <div class="card-header">
        Used content for analysis
    </div>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th>Key</th>
                    <th>Value</th>
                </tr>
            </thead>
            <tbody>
            {% for key in header.extracted_content %}
                <tr>
                    <td>{{ key }}</td>
                    <td>{{ header.extracted_content[key] }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}

{% endblock content %}